GET /v1/Workspaces/{WorkspaceSid}/TaskQueues

twilio.com:twilio_taskrouter_v1

Summary:
Operation ID: ListTaskQueue
Auth: unknown

Parameters (8)

EvaluateWorkerAttributes (string, query, optional)

The attributes of the Workers to read. Returns the TaskQueues with Workers that match the attributes specified in this parameter.

FriendlyName (string, query, optional)

The `friendly_name` of the TaskQueue resources to read.

Ordering (string, query, optional)

Sorting parameter for TaskQueues

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

WorkerSid (string, query, optional)

The SID of the Worker with the TaskQueue resources to read.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WK[0-9a-fA-F]{32}$'}

WorkspaceSid (string, path, required)

The SID of the Workspace with the TaskQueue to read.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WS[0-9a-fA-F]{32}$'}

No probe data for this endpoint yet.